;This is an example script provided with the installation of BricsCAD V22.
;
;This script is provided AS IS without warranty of any kind. Author(s) disclaim all
;implied warranties including, without limitation, any implied warranties of
;merchantability or of fitness for a particular purpose. The entire risk arising out of
;the use or performance of the sample script and documentation remains with you. In no
;event shall author(s) be held liable for any damages whatsoever (including, without
;limitation, damages for loss of business profits, business interruption, loss of business
;information, or other pecuniary loss) arising out of the use of or inability to use the
;script or documentation. The script is not guaranteed to work with future or previous
;versions of BricsCAD except the one it is installed with. The presensce of the script in
;future versions is not guaranteed and is a subject to change within any future update to
;BricsCAD.


;This script generates standard views and saves them as named views
(vl-load-com)

(defun c:ViewGenerator ( )
  (setvar "cmdecho" 0)  ;echo off

  ;temporary save currentview to restore at the end
  (command "_-view" "_Save" "ThisIsTheCurrentView123")


  (command "_-VPOINT" "0,0,1")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "Top")

  (command "_-VPOINT" "0,-1,0")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "Front")

  (command "_-VPOINT" "1,0,0")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "Right")

  (command "_-VPOINT" "0,1,0")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "Back")

  (command "_-VPOINT" "-1,0,0")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "Left")

  (command "_-VPOINT" "1,-1,1")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "RightFront")

  (command "_-VPOINT" "1,1,1")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "RightBack")

  (command "_-VPOINT" "-1,1,1")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "LeftBack")

  (command "_-VPOINT" "-1,-1,1")
  (command "_ZOOM" "_Extents")
  (command "_-view" "_Save" "LeftFront")

  ;restore original view
  (command "_-view" "_Restore" "ThisIsTheCurrentView123")
  ;delete the temporary named view
  (command "_-view" "_Delete" "ThisIsTheCurrentView123")


  (setvar "cmdecho" 1)  ;echo on
  (princ)
)

(c:ViewGenerator)
(princ)
